## org.eclipse.emf.databinding
Class EMFProperties

    java.lang.Object
      org.eclipse.emf.databinding.EMFProperties

    public class EMFProperties

extends java.lang.Object

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

A factory to create property bound attributes for `EObject`

Since:
  2.5

Field Summary
`static boolean` `DEBUG` Debug constant to turn on/off debugging

Constructor Summary
`EMFProperties()`

Method Summary
`static IEMFListProperty` `list(EStructuralFeature feature)` Returns a list property for the given `EStructuralFeature`
`static IEMFListProperty` `list(FeaturePath featurePath)` Returns a list property for the given `FeaturePath`
`static IEMFMapProperty` `map(EStructuralFeature feature)` Returns a map property for the given `EStructuralFeature`.
`static IEMFListProperty` `multiList(EStructuralFeature... features)` Combine multiple multi-value features into one observable list property
`static IEMFListProperty` `multiList(FeaturePath... featurePaths)` Combine the features identified by the the path into one observable list property
`static IEMFListProperty` `multiList(FeaturePath rootPath, EStructuralFeature... features)` Combine multiple features below a common path into one observable list property
`static IEMFListProperty` `multiList(IEMFListProperty... properties)` Combine the given list properties into one observable list property
`static IEMFValueProperty` `value(EStructuralFeature feature)` Returns a value property for the given `EStructuralFeature`
`static IEMFValueProperty` `value(FeaturePath featurePath)` Returns a value property for the given nested `EStructuralFeature` feature like the `name` of a `person`
`static IEMFValueProperty[]` `values(EStructuralFeature... features)` Returns multiple value properties for the given `EStructuralFeature`s
`static IEMFValueProperty[]` `values(FeaturePath... featurePaths)` Returns multiple value property for the given nested `EStructuralFeature` features like the `name` of a `person`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    public static final boolean DEBUG

  Debug constant to turn on/off debugging

  See Also:
    Constant Field Values

Constructor Detail

### EMFProperties

    public EMFProperties()

Method Detail

### value

    public static IEMFValueProperty value(EStructuralFeature feature)

  Returns a value property for the given `EStructuralFeature`

  Parameters:
    `feature` - the feature instance the property is created for
  Returns:
    a value property for the given `EStructuralFeature`

### value

    public static IEMFValueProperty value(FeaturePath featurePath)

  Returns a value property for the given nested `EStructuralFeature` feature like the `name` of a `person`

  Parameters:
    `featurePath` - path to the feature
  Returns:
    a value property for the given `FeaturePath`

### values

    public static IEMFValueProperty[] values(EStructuralFeature... features)

  Returns multiple value properties for the given `EStructuralFeature`s

  Parameters:
    `features` - the feature instances the properties are created for
  Returns:
    an array of properties for the given `EStructuralFeature`s

### values

    public static IEMFValueProperty[] values(FeaturePath... featurePaths)

  Returns multiple value property for the given nested `EStructuralFeature` features like the `name` of a `person`

  Parameters:
    `featurePaths` - path to the feature
  Returns:
    an array of properties for the given `FeaturePath`s

### list

    public static IEMFListProperty list(EStructuralFeature feature)

  Returns a list property for the given `EStructuralFeature`

  Parameters:
    `feature` - the feature instance the property is created for
  Returns:
    a list property for the given `EStructuralFeature`

### list

    public static IEMFListProperty list(FeaturePath featurePath)

  Returns a list property for the given `FeaturePath`

  Parameters:
    `featurePath` - the feature path
  Returns:
    a list property for the given `FeaturePath`

### multiList

    public static IEMFListProperty multiList(EStructuralFeature... features)

  Combine multiple multi-value features into one observable list property

  Parameters:
    `features` - the features to add to the list
  Returns:
    the list property

### multiList

    public static IEMFListProperty multiList(FeaturePath rootPath,
                                             EStructuralFeature... features)

  Combine multiple features below a common path into one observable list property

  Parameters:
    `rootPath` - the root path
    `features` - the features
  Returns:
    the list property

### multiList

    public static IEMFListProperty multiList(FeaturePath... featurePaths)

  Combine the features identified by the the path into one observable list property

  Parameters:
    `featurePaths` - the feature paths
  Returns:
    the list property

### multiList

    public static IEMFListProperty multiList(IEMFListProperty... properties)

  Combine the given list properties into one observable list property

  Parameters:
    `properties` - the properties
  Returns:
    the list property

### map

    public static IEMFMapProperty map(EStructuralFeature feature)

  Returns a map property for the given `EStructuralFeature`. Objects lacking the named property are treated the same as if the property always contains an empty map.

  Parameters:
    `feature` - the feature the property is created for
  Returns:
    a map property for the given `EStructuralFeature`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.